package com.fdkankan.ucenter.util;

import java.util.List;

public class FolderTree {

    private Long id;

    private String name;

    private Long parentId;

    private List<FolderTree> children;

    public List<FolderTree> getChildren() {
        return children;
    }

    public void setChildren(List<FolderTree> children) {
        this.children = children;
    }

    private int level;

    private boolean checked = false;

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    public int getLevel() {
        return level;
    }

    public boolean isChecked() {
        return checked;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }
}
